package schedframe.resources.computing.profiles.load;

import schedframe.resources.computing.profiles.load.ui.ComputingResourceLoadInterface;
import schedframe.resources.computing.profiles.load.ui.LoadInterface;
import schedframe.resources.devices.PhysicalResource;

public class LoadInterfaceFactory {

	
	public static LoadInterface createLoadInterface(PhysicalResource resource, LoadProfile lp){
		//if(lp == null)
		//	return null;
		LoadInterface loadInterface ;
		
		loadInterface = new ComputingResourceLoadInterface(resource, lp);
		
		return loadInterface;
	}
}
